Forum Linux.slackware installation d'une imprimante canon pixma mx455

Posté par . Licence CC by-sa
Tags : aucun
2
22
jan.
2015

Bonjour
Sur un PC linux slackware 14.1 (la dernière version) 64 bits, je souhaite installer une imprimante Canon pixma mx455. Cette dernière est en fait une multifonction (imprimante, scanner, photocopieur) mais seule l'imprimante m’intéresse.

J'ai essayé successivement :
- avec le pilote fourni par cups,
- avec un pilote compilé à la main à partir du slackbuild adapté et trouvé à l'adresse https://raw.githubusercontent.com/willysr/SlackHacks/master/SlackBuilds/cnijfilter/cnijfilter.SlackBuild
- avec les paquets cnijfilter fournis par canon en format rpm et convertis en txz.

L'installation semble correcte mais impossible d'imprimer la page de test. L'imprimante est reliée par un câble usb au PC. Malheureusement, je n'ai pas trouvé de message d'erreur.

Sur un autre PC avec slackware 12.2 32 bits, il y a quelques mois, j'ai converti les paquets cnijfilter fournis par canon du format rpm en tgz et cela fonctionne. Donc l'imprimante ou le câble usb ne semblent pas en cause.

Quelqu'un a-t-il une piste ? N'ai-je pas pris les bons pilotes ?

Un expert de redhat peut-il m'expliquer comment sont construits les paquets
cnijfilter-common-3.90-1.x86_64.rpm et cnijfilter-mx450series-3.90-1.x86_64.rpm à partir des sources cnijfilter-source-3.90-1.tar.gz ?

Un expert de debian peut-il m'expliquer comment sont construits les paquets
cnijfilter-common-3.90-1.x86_64.deb et cnijfilter-mx450series-3.90-1.x86_64.deb à partir des sources cnijfilter-source-3.90-1.tar.gz ?

Je ne vois pas de différence notable entre le pilote compilé à la main et les paquets deb ou rpm.

En vous remerciant par avance pour toute indication ou piste,

Slack

  • # conversion vers format slackware

    Posté par . Évalué à 2. Dernière modification le 22/01/15 à 20:50.

    et ta conversion rpm -> txz, tu l'as faites comment ?

    je sais que deb <-> rpm il y a des outils genre alien, qui s'occupe de bien faire les choses

    d'apres http://doc.ubuntu-fr.org/alien
    apparemment il gere aussi le format specifique à slackware

    sinon plus bourrin
    http://www.neiland.net/blog/article/extract-rpm-or-deb-packages-in-slackware/

    qui donne quelques outils plus simple,
    comme ouvrir le .deb qui est une simple archive ar
    pour recuperer le fichier data.tar.gz et le decompresser dans ton systeme

  • # outils de conversion

    Posté par . Évalué à 1.

    Bonjour

    Slackware fournit dans le paquet rpm2tgz des scripts rpm2tgz et rpm2txz qui permettent la conversion des paquets debian en paquets slackware.

    • [^] # Re: outils de conversion

      Posté par . Évalué à 2.

      alors desinstalle totalement les pilotes que tu as precedemment installé,
      et installe ceux du constructeur via rpm2tgz

      sinon pour repondre à quelqu'un il faut cliquer sur "repondre" sous son texte
      et pas sur "envoyer un commentaire" qui repond à ton post initial.

      • [^] # Re: Re: outils de conversion

        Posté par . Évalué à 1.

        lors desinstalle totalement les pilotes que tu as precedemment installé, et installe ceux du constructeur via rpm2tgz

        Pour configurer cups, je pointe mon navigateur web à l'adresse 127.0.0.1:631

        Lorsque un essais est infructueux , je supprime dans cups l'imprimante.

        Enfin je suis sur d'avoir désinstallé le pilote compilé à la main avant d'installer les paquets rpm.

        sinon pour repondre à quelqu'un il faut cliquer sur "repondre" sous son texte et pas sur "envoyer un commentaire" qui repond à ton post initial.

        Merci :-)

        P.S. je continue mes instigations

        • [^] # Re: Re: outils de conversion

          Posté par . Évalué à 2.

          je continue mes instigations

          investigations ! ;)

          Bon courage en tous cas, j'espère que ça va finir par tomber en marche.

  • # Problème de compatibilité 32/64 bits

    Posté par (page perso) . Évalué à 4.

    Sur un PC linux slackware 14.1 (la dernière version) 64 bits (…) impossible d'imprimer la page de test
    (…)
    Sur un autre PC avec slackware 12.2 32 bits (…) cela fonctionne

    Pour rappel : Slackware propose un système 64 bits "pur", sans couche de compatibilité 32 bits par défaut.

    Il n'est pas impossible que les fichiers .deb/.rpm que tu as installé contiennent des fichiers nécessitant un support 32 bits.

    Je te conseille d'installer la couche de compatibilité 32 bits ("multilib"), cela pourrait régler ton problème.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.